import { api } from '@api/api';
import { FlorisFormValues } from '@components/ux/floris-form/types';

import { FLORIS_ENDPOINTS } from './constants';
import { WindmillData } from './types';
import { getWindmillDataRequestParams } from './utils';

export const getWindmillData = (formValues: Partial<FlorisFormValues>) => {
  const { park } = formValues;
  const params = getWindmillDataRequestParams(formValues);
  const parkPath = park ? `/${park.id}/` : '';
  const url = `${FLORIS_ENDPOINTS.getWindmillData}${parkPath}?${params}`;
  return api.get<WindmillData>(url);
};
