import { FlorisFormValues } from '@components/ux/floris-form/types';

import { FLORIS_PLOTS } from './constants';

export const getWindmillDataRequestParams = (
  formValues: Partial<FlorisFormValues>,
) => {
  let params = '';
  if (formValues.turbines) {
    const layoutX = formValues.turbines
      ?.map((row) => `layout_x=${row.x}`)
      .join('&');
    const layoutY = formValues.turbines
      ?.map((row) => `layout_y=${row.y}`)
      .join('&');
    const yawAngle = formValues.turbines
      ?.map((row) => `yaw_angle=${row.angle}`)
      .join('&');
    params += `${layoutX}&${layoutY}&${yawAngle}`;
  }
  const plots = Object.values(FLORIS_PLOTS)
    .filter((_, i) => formValues.plots?.[i])
    .map((p) => `plots=${p.name}`)
    .join('&');
  const dateStart = `date_start=${formValues.dateFrom?.substring(0, 10)}`;
  const dateEnd = `date_end=${formValues.dateTo?.substring(0, 10)}`;
  params += `&${plots}&${dateStart}&${dateEnd}`;
  return params;
};
