import { WindmillData } from '@api/floris/types';
import { Heading } from '@components/ui';
import { FlorisForm, FlorisPlots, PowerSection } from '@components/ux';
import { useRoute } from '@utils/route';
import React, { useState } from 'react';

import styles from './styles.module.scss';

export function FlorisPage() {
  const [data, setData] = useState<WindmillData>(null);
  const [dateFrom, setDateFrom] = useState<string>(null);
  const route = useRoute();

  const handleFormSuccess = (data: WindmillData, dateFrom: string) => {
    setData(data);
    console.log(data);
    setDateFrom(dateFrom);
  };

  return (
    <div className={styles.page}>
      <Heading tag="h1">{route.title}</Heading>
      <FlorisForm onSuccess={handleFormSuccess} onFail={() => {}} />
      {data && (
        <>
          <PowerSection power={data.data} dateFrom={dateFrom} />
          <FlorisPlots filenames={data.fileName} />
        </>
      )}
    </div>
  );
}
