import { Checkbox, NumberInput } from '@components/ui';
import React from 'react';

import { FlorisTableTurbine } from '../../types';
import styles from './styles.module.scss';
import { FlorisTableRowProps } from './types';

export function FlorisTableRow({
  value,
  onChange,
  onSelect,
  selected,
}: FlorisTableRowProps) {
  const handleChange = (number: string, key: keyof FlorisTableTurbine) => {
    onChange({ ...value, [key]: number });
  };

  return (
    <div className={styles.row}>
      <Checkbox
        label={{ className: styles.checkboxLabel }}
        onChange={onSelect}
        checked={selected}
      />
      <NumberInput
        value={value.x}
        onChange={(number) => handleChange(number, 'x')}
        wrapper={{ className: styles.textInput }}
      />
      <NumberInput
        value={value.y}
        onChange={(number) => handleChange(number, 'y')}
        wrapper={{ className: styles.textInput }}
      />
      <NumberInput
        value={value.angle}
        onChange={(number) => handleChange(number, 'angle')}
        wrapper={{ className: styles.textInput }}
      />
    </div>
  );
}
